html {
  /* TODO: Not having an extension works in Safari, not sure it will work
     for other browsers.  Doing it this way so the theme doesn't have to
     prescribe a particular format.
  */
  background-image: url("../images/background");
  background-position: center bottom;
  background-attachment: fixed;
  background-color: #0D220D;
  height: 100%;
}

body {
  width: 75%;
  max-width: 1200px;
  margin: auto;
  height: 100%;
}

div#innerself {
  min-height: calc(100% - 20em);
  padding-top: 0;
}

/* TODO: depending on type of image, don't try to set the size.
 * Only SVGs should specify the width.  Use `img[src*="svg"]`.  See
 * https://jdsteinbach.com/css/targeting-a-specific-image-type-with-css/
 */
img#banner {
  height: 3em;
  width: auto;
  margin-left: 2em;
  padding: 0.1em;
  display: block;
}

#dropdown {
  display: none;
}

img {
	max-width: 100%;
	margin: auto;
}

img#author {
	width: 100%;
	margin: auto;
}

#innerself nav {
  display: inherit;
}

dl {
  display: grid;
  grid-template-columns: max-content 1fr;
}

dt {
  margin: 0 0.5em;
  font-weight: bold
}

/* ---------------------------------------------------------------------------
 *                                                         team member page
 * ------------------------------------------------------------------------ */

div#contentheader {
  display: flex;
}

div#contentheader #info {
  flex: 1;
  text-align: right;
  overflow: auto;
}

div#author-image {
  width: 12em;
  height: 12em;
  float: right;
  padding-left: 1em;
}

img#author {
  object-fit: contain;
  border-radius: 14px;
  max-width: inherit;
  max-height: inherit;
}

embed {
  width: 20em;
  height: 7em;
}

/* ---------------------------------------------------------------------------
 *                                                           home page
 * ------------------------------------------------------------------------ */

div#teasers {
  display: flex;
}

div#teasers #projects {
  flex: 1;
}

div#teasers #logs {
  flex: 1;
  margin-left: 1em;
  margin-right: 1em;
}

div#teasers #docs {
  flex: 1;
}

nav li:hover {
  background: #CCCCCC;
}

/* ---------------------------------------------------------------------------
 *                                                              footer
 * ------------------------------------------------------------------------ */

/* Use full text where available */
.abbrev {
  display: none;
}

.full {
  display: inherit;
}
